System Requirements for Viewing On-Demand Seminars

If your computer does not meet the minimum required standards, you may not be able to view on-demand seminars. We strongly suggest that you visit the link below to check your system prior to purchasing an on-demand seminar. This page tests if your computer meets the minimum requirements to run the Mediasite Player.

https://support.sonicfoundry.com/Training/ViewingRequirements

If you need more technical information, please visit the following link and click Player Requirements in the left-hand menu.

http://sofo-services.mediasite.com/Mediasite/Play/Help/Mediasite/OverviewFullVersion.htm

 

BROWSERS / PLUG INS:

Most users will be prompted to download and install Microsoft Silverlight upon opening the on-demand seminar (unless it is already installed on the user's computer). This will take only a minute or so, and will be a one-time only download. Please understand that installing Silverlight is a two-part process – first you download, then you install.


COMMON PROBLEMS:

  • MATERIALS:
    Adobe Reader (or a newer version of Adobe Reader) may need to be installed. You can download a free copy of the latest version at http://get.adobe.com/reader/

  • FIREWALLS:
    Contact your company network administrator or review your personal firewall settings to insure they do not interfere.

  • BROWSER SETTINGS:
    You may have to allow pop-ups in order to see the on-demand screen.

  • OTHER PROGRAMS:
    It is recommended that you close other software programs when viewing the on-demand seminar, particularly any applications that access the internet.